# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['pydeidentify']

package_data = \
{'': ['*']}

install_requires = \
['spacy-transformers>=1.1.7,<2.0.0', 'spacy>=3.4.0,<4.0.0']

setup_kwargs = {
    'name': 'pydeidentify',
    'version': '0.2.0',
    'description': "A simple text deidentification tool, built on spacy's state-of-the-art named entity recognition pipeline",
    'long_description': '# pydeidentify\n\nAn simple tool for text deidentification, built on spacy\'s state-of-the-art named entity recognition pipeline\n\n## Usage\n\nView more detailed examples at https://github.com/Lucasc-99/pydeidentify\n\nDISCLAIMER: this tool is not 100% accurate, and may miss some entities\n\nThe model is also case sensitive, and will have decreased accuracy if text is all lower-case\n\n```python\n\n# Basic usage, see examples/long_example.py for more\n\nfrom pydeidentify import Deidentifier, DeidentifiedText\n\n# Deidentify using this Deidentifier class\nd = Deidentifier()\nd_text: DeidentifiedText = d.deidentify(\n    """My name is Joe Biden, I\'m from Scranton, Pennsylvania and I like to create python packages. I was born 12-1-1999."""\n)\n\n# View output of deidentification using DeidentifiedText class\n\nprint(d_text.original()) # My name is Joe Biden, I\'m from Scranton, Pennsylvania and I like to create python packages. I was born 12-1-1999.\n\nprint(d_text) # My name is PERSON0, I\'m from GPE0, GPE1 and I like to create python packages. I was born DATE0.\n\nprint(d_text.encode_mapping) # {\'Joe Biden\': \'PERSON0\', \'Scranton\': \'GPE0\', \'Pennsylvania\': \'GPE1\', \'12-1-1999\': \'DATE0\'}\nprint(d_text.decode_mapping) # {\'PERSON0\': \'Joe Biden\', \'GPE0\': \'Scranton\', \'GPE1\': \'Pennsylvania\', \'DATE0\': \'12-1-1999\'}\nprint(d_text.counts) # {\'ORG\': 0, \'LOC\': 0, \'PERSON\': 1, \'GPE\': 2, \'DATE\': 1, \'FAC\': 0}\n\n# Use any spacy model that supports named entity recognition by passing it\'s name in the spacy_model parameter\n# The line below loads the chinese version of the default english model: \'en_core_web_trf\'\nd_spanish = Deidentifier(spacy_model="zh_core_web_trf") \n```\n\n## License\n[MIT](https://choosealicense.com/licenses/mit/)',
    'author': 'Lucasc-99',
    'author_email': 'lucascecchi@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
